package com.link.core.mq.cmq.servicecmq;

import com.link.core.mq.cmq.Tools.Account;
import com.link.core.mq.cmq.Tools.Topic;
import com.link.core.util.CoreYmlConstants;
import org.springframework.stereotype.Service;

@Service
public class TopicProducerService {
   public void publishMessage(String topicName, String message) throws Exception {
      if (!"".equals(CoreYmlConstants.getCmqQueueEndpoint()) && CoreYmlConstants.getCmqQueueEndpoint() != null && !"".equals(CoreYmlConstants.getCmqSecretId()) && CoreYmlConstants.getCmqSecretId() != null && !"".equals(CoreYmlConstants.getCmqSecretKey()) && CoreYmlConstants.getCmqSecretKey() != null) {
         Account account = new Account(CoreYmlConstants.getCmqQueueEndpoint(), CoreYmlConstants.getCmqSecretId(), CoreYmlConstants.getCmqSecretKey());
         Topic topic = account.getTopic(topicName);
         topic.publishMessage(message);
      } else {
         throw new RuntimeException("没有维护cmq消息队列，将不发送cmq消息");
      }
   }
}
